# -*- coding: utf-8 -*-


from PySide import QtCore, QtGui
from SimNDT.gui.constants import *

class Ui_advancedSimulationSetupDialog(object):
    def setupUi(self, advancedSimulationSetupDialog):
        scaleUI = SCALE_UI*1.2
        advancedSimulationSetupDialog.setObjectName("advancedSimulationSetupDialog")
        advancedSimulationSetupDialog.resize(265*scaleUI, 295*scaleUI)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.MinimumExpanding, QtGui.QSizePolicy.MinimumExpanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(advancedSimulationSetupDialog.sizePolicy().hasHeightForWidth())
        advancedSimulationSetupDialog.setSizePolicy(sizePolicy)
        advancedSimulationSetupDialog.setMinimumSize(QtCore.QSize(0, 0))
        advancedSimulationSetupDialog.setMaximumSize(QtCore.QSize(265*scaleUI, 295*scaleUI))
        icon = QtGui.QIcon()
        icon.addPixmap(QtGui.QPixmap(":/simModel.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        advancedSimulationSetupDialog.setWindowIcon(icon)
        self.buttonBox = QtGui.QDialogButtonBox(advancedSimulationSetupDialog)
        self.buttonBox.setGeometry(QtCore.QRect(60*scaleUI, 260*scaleUI, 191*scaleUI, 32*scaleUI))
        self.buttonBox.setOrientation(QtCore.Qt.Horizontal)
        self.buttonBox.setStandardButtons(QtGui.QDialogButtonBox.Cancel|QtGui.QDialogButtonBox.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.frame = QtGui.QFrame(advancedSimulationSetupDialog)
        self.frame.setGeometry(QtCore.QRect(10*scaleUI, 10*scaleUI, 241*scaleUI, 91*scaleUI))
        self.frame.setFrameShape(QtGui.QFrame.Panel)
        self.frame.setFrameShadow(QtGui.QFrame.Sunken)
        self.frame.setObjectName("frame")
        self.formLayoutWidget = QtGui.QWidget(self.frame)
        self.formLayoutWidget.setGeometry(QtCore.QRect(10*scaleUI, 10*scaleUI, 221*scaleUI, 71*scaleUI))
        self.formLayoutWidget.setObjectName("formLayoutWidget")
        self.formLayout = QtGui.QFormLayout(self.formLayoutWidget)
        self.formLayout.setContentsMargins(0, 0, 0, 0)
        self.formLayout.setObjectName("formLayout")
        self.pointPerCycleLabel = QtGui.QLabel(self.formLayoutWidget)
        self.pointPerCycleLabel.setObjectName("pointPerCycleLabel")
        self.formLayout.setWidget(0, QtGui.QFormLayout.LabelRole, self.pointPerCycleLabel)
        self.pointPerCycleSpinBox = QtGui.QSpinBox(self.formLayoutWidget)
        self.pointPerCycleSpinBox.setMinimumSize(QtCore.QSize(53*scaleUI, 0))
        self.pointPerCycleSpinBox.setMinimum(5)
        self.pointPerCycleSpinBox.setMaximum(60)
        self.pointPerCycleSpinBox.setSingleStep(1)
        self.pointPerCycleSpinBox.setProperty("value", 10)
        self.pointPerCycleSpinBox.setObjectName("pointPerCycleSpinBox")
        self.formLayout.setWidget(0, QtGui.QFormLayout.FieldRole, self.pointPerCycleSpinBox)
        self.timeScaleLabel = QtGui.QLabel(self.formLayoutWidget)
        self.timeScaleLabel.setObjectName("timeScaleLabel")
        self.formLayout.setWidget(1, QtGui.QFormLayout.LabelRole, self.timeScaleLabel)
        self.timeScaleDoubleSpinBox = QtGui.QDoubleSpinBox(self.formLayoutWidget)
        self.timeScaleDoubleSpinBox.setMaximum(1.0)
        self.timeScaleDoubleSpinBox.setSingleStep(0.1)
        self.timeScaleDoubleSpinBox.setProperty("value", 1.0)
        self.timeScaleDoubleSpinBox.setObjectName("timeScaleDoubleSpinBox")
        self.formLayout.setWidget(1, QtGui.QFormLayout.FieldRole, self.timeScaleDoubleSpinBox)
        self.previewSimulationSetupPushButton = QtGui.QPushButton(advancedSimulationSetupDialog)
        self.previewSimulationSetupPushButton.setGeometry(QtCore.QRect(10*scaleUI, 100*scaleUI, 235*scaleUI, 41*scaleUI))
        self.previewSimulationSetupPushButton.setMinimumSize(QtCore.QSize(0*scaleUI, 41*scaleUI))
        self.previewSimulationSetupPushButton.setMaximumSize(QtCore.QSize(16777215, 41*scaleUI))
        icon1 = QtGui.QIcon()
        icon1.addPixmap(QtGui.QPixmap(":/previewImage.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.previewSimulationSetupPushButton.setIcon(icon1)
        self.previewSimulationSetupPushButton.setIconSize(QtCore.QSize(24*scaleUI, 24*scaleUI))
        self.previewSimulationSetupPushButton.setObjectName("previewSimulationSetupPushButton")
        self.previewFrame = QtGui.QFrame(advancedSimulationSetupDialog)
        self.previewFrame.setGeometry(QtCore.QRect(10*scaleUI, 140*scaleUI, 241*scaleUI, 111*scaleUI))
        self.previewFrame.setFrameShape(QtGui.QFrame.Panel)
        self.previewFrame.setFrameShadow(QtGui.QFrame.Sunken)
        self.previewFrame.setObjectName("previewFrame")
        self.formLayoutWidget_2 = QtGui.QWidget(self.previewFrame)
        self.formLayoutWidget_2.setGeometry(QtCore.QRect(10*scaleUI, 0, 221*scaleUI, 61*scaleUI))
        self.formLayoutWidget_2.setObjectName("formLayoutWidget_2")
        self.deltaFormLayout = QtGui.QFormLayout(self.formLayoutWidget_2)
        self.deltaFormLayout.setContentsMargins(0, 0, 0, 0)
        self.deltaFormLayout.setObjectName("deltaFormLayout")
        self.dxLabel = QtGui.QLabel(self.formLayoutWidget_2)
        self.dxLabel.setObjectName("dxLabel")
        self.deltaFormLayout.setWidget(0, QtGui.QFormLayout.LabelRole, self.dxLabel)
        self.dxLineEdit = QtGui.QLineEdit(self.formLayoutWidget_2)
        self.dxLineEdit.setMaximumSize(QtCore.QSize(80*scaleUI, 16777215))
        self.dxLineEdit.setObjectName("dxLineEdit")
        self.deltaFormLayout.setWidget(0, QtGui.QFormLayout.FieldRole, self.dxLineEdit)
        self.dtLabel = QtGui.QLabel(self.formLayoutWidget_2)
        self.dtLabel.setObjectName("dtLabel")
        self.deltaFormLayout.setWidget(1, QtGui.QFormLayout.LabelRole, self.dtLabel)
        self.dtLineEdit = QtGui.QLineEdit(self.formLayoutWidget_2)
        self.dtLineEdit.setMaximumSize(QtCore.QSize(80*scaleUI, 16777215))
        self.dtLineEdit.setObjectName("dtLineEdit")
        self.deltaFormLayout.setWidget(1, QtGui.QFormLayout.FieldRole, self.dtLineEdit)
        self.gridLayoutWidget = QtGui.QWidget(self.previewFrame)
        self.gridLayoutWidget.setGeometry(QtCore.QRect(10*scaleUI, 60*scaleUI, 221*scaleUI, 51*scaleUI))
        self.gridLayoutWidget.setObjectName("gridLayoutWidget")
        self.modelSizeGridLayout = QtGui.QGridLayout(self.gridLayoutWidget)
        self.modelSizeGridLayout.setContentsMargins(0, 0, 0, 0)
        self.modelSizeGridLayout.setObjectName("modelSizeGridLayout")
        self.label = QtGui.QLabel(self.gridLayoutWidget)
        self.label.setObjectName("label")
        self.modelSizeGridLayout.addWidget(self.label, 0, 0, 1, 1)
        self.label_3 = QtGui.QLabel(self.gridLayoutWidget)
        self.label_3.setObjectName("label_3")
        self.modelSizeGridLayout.addWidget(self.label_3, 1, 0, 1, 1)
        self.numericalSizeLabel = QtGui.QLabel(self.gridLayoutWidget)
        self.numericalSizeLabel.setObjectName("numericalSizeLabel")
        self.modelSizeGridLayout.addWidget(self.numericalSizeLabel, 1, 1, 1, 1)
        self.geometricSizeLabel = QtGui.QLabel(self.gridLayoutWidget)
        self.geometricSizeLabel.setObjectName("geometricSizeLabel")
        self.modelSizeGridLayout.addWidget(self.geometricSizeLabel, 0, 1, 1, 1)

        self.retranslateUi(advancedSimulationSetupDialog)
        QtCore.QObject.connect(self.buttonBox, QtCore.SIGNAL("accepted()"), advancedSimulationSetupDialog.accept)
        QtCore.QObject.connect(self.buttonBox, QtCore.SIGNAL("rejected()"), advancedSimulationSetupDialog.reject)
        QtCore.QMetaObject.connectSlotsByName(advancedSimulationSetupDialog)

    def retranslateUi(self, advancedSimulationSetupDialog):
        advancedSimulationSetupDialog.setWindowTitle(QtGui.QApplication.translate("advancedSimulationSetupDialog", "Advanced Simulation Setup", None, QtGui.QApplication.UnicodeUTF8))
        self.pointPerCycleLabel.setText(QtGui.QApplication.translate("advancedSimulationSetupDialog", "Point Per Cycle", None, QtGui.QApplication.UnicodeUTF8))
        self.timeScaleLabel.setText(QtGui.QApplication.translate("advancedSimulationSetupDialog", "Time Scale", None, QtGui.QApplication.UnicodeUTF8))
        self.previewSimulationSetupPushButton.setText(QtGui.QApplication.translate("advancedSimulationSetupDialog", "Preview Simulation Setup", None, QtGui.QApplication.UnicodeUTF8))
        self.dxLabel.setText(QtGui.QApplication.translate("advancedSimulationSetupDialog", "dx (mm)", None, QtGui.QApplication.UnicodeUTF8))
        self.dtLabel.setText(QtGui.QApplication.translate("advancedSimulationSetupDialog", "dt", None, QtGui.QApplication.UnicodeUTF8))
        self.label.setText(QtGui.QApplication.translate("advancedSimulationSetupDialog", "Geometric Model M x N:", None, QtGui.QApplication.UnicodeUTF8))
        self.label_3.setText(QtGui.QApplication.translate("advancedSimulationSetupDialog", "Numerical Model M x N:", None, QtGui.QApplication.UnicodeUTF8))
        self.numericalSizeLabel.setText(QtGui.QApplication.translate("advancedSimulationSetupDialog", "MxN", None, QtGui.QApplication.UnicodeUTF8))
        self.geometricSizeLabel.setText(QtGui.QApplication.translate("advancedSimulationSetupDialog", "MxN", None, QtGui.QApplication.UnicodeUTF8))

